Summary:	Package maintenance system for Debian Linux
Name:		dpkg
Version:	1.10.9
Release:	1mdk
License:	GPL
Group:		System/Configuration/Packaging
Url:		http://packages.debian.org/unstable/base/dpkg.html
Source0:	ftp://ftp.debian.org/debian/dists/potato/main/source/base/%{name}_%{version}.tar.gz
Source1:	%{name}-pl-man-pages.tar.bz2
Patch0:		%{name}-no-debiandoc.patch.bz2
Patch2:		%{name}-input-files.patch.bz2
BuildRequires:	autoconf, automake, gettext-devel
BuildRoot:	%_tmppath/%name-%version-root

%description
This package contains the programs which handle the installation
and removal of packages on your system.

The primary interface for the dpkg suite is the `dselect' program;
a more low-level and less user-friendly interface is available
in the form of the `dpkg' command.

In order to unpack and build Debian source packages you will need
to install the developers' package `dpkg-dev' as well as this one.

%prep
%setup -q
%patch0 -p0
%patch2 -p0

%build
# gettextize --copy --force
#aclocal
#autoconf
%configure --enable-shared --without-dselect --with-admindir=/var/lib/%{name}

make docdir=%{_defaultdocdir}/%{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/dpkg

%makeinstall_std top_srcdir=`pwd`

gzip -9nf $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/*

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/update-alternatives*
rm -fr $RPM_BUILD_ROOT%_datadir/locale/en/
rm -fr $RPM_BUILD_ROOT%{_sysconfdir}/alternatives
rm -f $RPM_BUILD_ROOT%{_sbindir}/update-alternatives
rm -fr $RPM_BUILD_ROOT/usr/share/doc
find $RPM_BUILD_ROOT -name "md5sum*" -exec rm -f {} \;
# Glu !
rm -f $RPM_BUILD_ROOT/update-alternatives.8

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f dpkg.lang
%defattr(644,root,root,755)
%doc doc/database-structure.fig doc/internals.sgml
# %doc $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/*
%attr(755,root,root) %{_bindir}/822-date
%attr(755,root,root) %{_bindir}/dpkg*
%dir %{_libdir}/dpkg
%dir %{_libdir}/dpkg/methods
%dir %{_libdir}/dpkg/parsechangelog
%dir %{_libdir}/dpkg/methods/disk
%dir %{_libdir}/dpkg/methods/floppy
%{_libdir}/dpkg/controllib.pl
%{_libdir}/dpkg/enoent
%attr(755,root,root) %{_libdir}/dpkg/mksplit
%dir %{_libdir}/dpkg/methods/*/desc*
%dir %{_libdir}/dpkg/methods/*/names
%attr(755,root,root) %dir %{_libdir}/dpkg/methods/*/install
%attr(755,root,root) %dir %{_libdir}/dpkg/methods/*/setup
%attr(755,root,root) %dir %{_libdir}/dpkg/methods/*/update
%attr(755,root,root) %dir %{_libdir}/dpkg/parsechangelog/debian
%attr(755,root,root) %{_sbindir}/*
%dir %_datadir/%name
%_datadir/%name/archtable
#%attr(755,root,root) %{_sbindir}/update-rc.d
%dir /var/lib/dpkg
/var/lib/dpkg/*

%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/origins/debian

%{_mandir}/man1/822-date.1*
%{_mandir}/man1/dpkg*
%{_mandir}/man5/*
%{_mandir}/man8/*
%lang(ja) %{_mandir}/ja/man?/*
%lang(pl) %{_mandir}/pl/man?/*
%lang(sv) %{_mandir}/sv/man?/*
%lang(fr) %{_mandir}/fr/man?/*
%lang(ru) %{_mandir}/ru/man?/*

%changelog
* Thu Dec 19 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.9-1mdk
- 1.10.9
- remove patch1,2,3
- rediff patch0
- new patch2
- fix unpackaged files

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.15-3mdk
- remove useless en translation
- add Url

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.15-2mdk
- remove conflict

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.15-1mdk
- initial package

